GJSON(1)

NAME
gjson - filter and extract data from JSON-like files

A simple way to filter and extract data from JSON-like data structures. Python porting of the Go GJSON package.

            usage: gjson [-h] [-v] [-l] [file] query

POSITIONAL ARGUMENTS

    file
        Input JSON file to query. Reads from stdin if the argument is missing or set to "-".

    query
        A GJSON query to apply to the input data.

NAMED ARGUMENTS

    -v, --verbose
        Verbosity level. By default on error no output will be printed. Use -v to get the error message to stderr and -vv to get the full traceback.

    -l, --lines
        Treat the input as JSON Lines, parse each line and apply the query to each line.

See also the full documentation available at https://volans-.github.io/gjson-py/index.html

AUTHOR
Riccardo Coccioli

COPYRIGHT
2023, Riccardo Coccioli